###
###
###

.seqnames <- paste("chr", c("I", "II", "III", "IV", "V", "VI", "VII", "VIII", "IX", "X", "XI", "XII", "XIII", "XIV", "XV", "XVI", "M"), sep="")

.circ_seqs <- "chrM"

.mseqnames <- NULL

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Saccharomyces cerevisiae",
        species="Yeast",
        provider="UCSC",
        provider_version="sacCer3",
        release_date="April 2011",
        release_name="SGD April 2011 sequence",
        source_url="http://hgdownload.cse.ucsc.edu/goldenPath/sacCer3/bigZips/",
        seqnames=.seqnames,
        circ_seqs=.circ_seqs,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )

    ns <- asNamespace(pkgname)

    objname <- "BSgenome.Scerevisiae.UCSC.sacCer3"
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)

    old_objname <- "Scerevisiae"
    assign(old_objname, bsgenome, envir=ns)
    namespaceExport(ns, old_objname)
}

